此内容没有您所选择的语言版本。
Release notes for Red Hat Decision Manager 7.11
Abstract
Preface 复制链接链接已复制到粘贴板!
These release notes list new features, features in technology preview, known issues, and issues fixed in Red Hat Decision Manager 7.11.
Making open source more inclusive 复制链接链接已复制到粘贴板!
Red Hat is committed to replacing problematic language in our code, documentation, and web properties. We are beginning with these four terms: master, slave, blacklist, and whitelist. Because of the enormity of this endeavor, these changes will be implemented gradually over several upcoming releases. For more details, see our CTO Chris Wright’s message.
Chapter 1. Product overview 复制链接链接已复制到粘贴板!
Red Hat Decision Manager is an open-source decision management platform that combines business rules management, complex event processing, Decision Model & Notation (DMN) execution, and Red Hat build of OptaPlanner for solving planning problems. It automates business decisions and makes that logic available to the entire business.
Business assets such as rules, decision tables, and DMN models are stored in a central repository. This ensures consistency, transparency, and the ability to audit across the business. Business users can modify business logic without requiring assistance from IT personnel.
Red Hat Decision Manager 7.11 provides increased stability, several fixed issues, and new features.
Red Hat Decision Manager is fully supported on Red Hat OpenShift Container Platform and can be installed on various platforms.
Red Hat Decision Manager requires Java 11 or later.
For information about the support policy for Red Hat Decision Manager, see the Release maintenance plan for Red Hat Decision Manager 7.x and Red Hat Process Automation Manager 7.x.
Red Hat Decision Manager now provides support for the following Red Hat build of Kogito microservices that you can use to build cloud-native applications that adapt to your business domain and tooling:
- Layering on Red Hat build of Quarkus or Spring Boot to enable developers to run Red Hat build of Kogito microservices on their preferred cloud-native application development stack
- Automated decision-making capabilities based on rule units to run within defined business constraints
- Example applications containing various types of Red Hat build of Kogito decision microservices on Red Hat build of Quarkus or Spring Boot to help you develop your applications
For more information about getting started with Red Hat build of Kogito in Red Hat Decision Manager, see Getting started with Red Hat build of Kogito in Red Hat Decision Manager.
Red Hat Decision Manager now supports Red Hat build of Kogito JVM Quarkus runtime images.
For more information, see Getting started with Red Hat build of Kogito in Red Hat Decision Manager.
Red Hat Decision Manager now includes Red Hat build of Kogito builder images for Red Hat build of Quarkus and Spring Boot.
For more information, see Getting started with Red Hat build of Kogito in Red Hat Decision Manager.
Chapter 3. New features 复制链接链接已复制到粘贴板!
This section highlights new features in Red Hat Decision Manager 7.11.
3.1. Business Central 复制链接链接已复制到粘贴板!
In guided decision tables, you can now double-click a column name to sort the values in ascending order, and if you double-click on the same column, the values are sorted in descending order. For more information, see Designing a decision service using guided decision tables.
3.1.2. Prometheus and Kafka data set provider 复制链接链接已复制到粘贴板!
In Business Central, it is now possible to use the Prometheus and Kafka data set provider to create a data set to fetch the data from an external data source and use that data for the reporting and external components.
The following list provides a summary of the two new data set providers in Business Central:
- You can use the Prometheus data set provider which generates a data set using the Prometheus query.
- You can use the Kafka data set provider which generates a data set using metrics from Kafka broker, consumer, or producer.
For more information, see Configuring Business Central settings and properties.
3.1.3. Test scenarios 复制链接链接已复制到粘贴板!
The test scenarios designer in Business Central is now available with the new features supported in Red Hat Decision Manager 7.11.
- The test scenarios designer in Business Central now supports the nested enumeration data type attributes in rule-based test scenarios.
In the test scenarios designer, you can now see the actual test results instead of a generic message in a list or a map collection editor. It is now possible to monitor the following information in a collection editor:
- The wrong value
- The path to reach out to the wrong value
- The correct value
For more information, see Testing a decision service using test scenarios.
3.2. KIE Server 复制链接链接已复制到粘贴板!
3.2.1. PMML trusty implementation 复制链接链接已复制到粘贴板!
You can now use PMML trusty implementation to embed a PMML call in a Java application or to execute a PMML model using KIE Server. For more information about PMML trusty implementation, see Designing a decision service using PMML models.
3.2.2. REST endpoints for specific DMN models 复制链接链接已复制到粘贴板!
Red Hat Decision Manager now provides model-specific DMN KIE Server endpoints that you can use to interact with your specific DMN model directly over REST, without using the KIE Server Client (Java) API. The following REST endpoints of the KIE Server are automatically generated based on the content of the DMN model:
-
POST /server/containers/{containerId}/dmn/models/{modelname}: A business-domain endpoint for evaluating a specified DMN model in a container -
POST /server/containers/{containerId}/dmn/models/{modelname}/{decisionServiceName}: A business-domain endpoint for evaluating a specified decision service component in a specific DMN model available in a container -
POST /server/containers/{containerId}/dmn/models/{modelname}/dmnresult: An endpoint for evaluating a specified DMN model containing customized body payload and returning a DMNResult response, including business-domain context, helper messages, and helper decision pointers -
POST /server/containers/{containerId}/dmn/models/{modelname}/{decisionServiceName}/dmnresult: An endpoint for evaluating a specified decision service component in a specific DMN model and returning a DMN Result response, including the business-domain context, helper messages, and help decision pointers for the decision service -
GET /server/containers/{containerId}/dmn/models/{modelname}: An endpoint for returning standard DMN XML without decision logic and containing the inputs and decisions of the specified DMN model -
GET /server/containers/{containerId}/dmn/openapi.json (|.yaml): An endpoint for retrieving Swagger or OAS for the DMN models in a specified container
For more information about model-specific DMN KIE Server endpoints, see Designing a decision service using DMN models and Interacting with Red Hat Decision Manager using KIE APIs.
3.3. DMN Designer 复制链接链接已复制到粘贴板!
You can now see more suitable suggestions for literal boxed expressions in Business Central. When you enter a FEEL expression in the editor, the first suggestions that appear are based on the return type of FEEL functions and inferred type of the context.
3.4. Red Hat build of OptaPlanner 复制链接链接已复制到粘贴板!
3.4.1. OptaPlanner 8 复制链接链接已复制到粘贴板!
- Red Hat Decision Manager includes OptaPlanner 8 as well as OptaPlanner 7. OptaPlanner 7 is now deprecated and might be removed in a future release. For information about migrating your projects from a previous version of OptaPlanner, see Upgrading your Red Hat build of OptaPlanner projects to OptaPlanner 8.
- OptaPlanner has added a school timetable and vaccination appointment scheduler quick start for Red Hat build of Quarkus. For more information, see Red Hat build of OptaPlanner quick start guides.
- The employee rostering and vehicle route planning starter applications have been migrated to the Red Hat build of Quarkus.
- The dinner party example has been removed.
- The Constraint Streams API is now richer, faster, and more stable and provides better error messages.
- ScoreManager now supports score explanations.
- The SolverManager API now provides the ability to listen to both the best solution events and the solving ended event.
- OptaPlanner is supported on-premise and on Red Hat OpenShift Container Platform 4.x (embedded) with JDK 11 only.
3.5. Smart Router 复制链接链接已复制到粘贴板!
You can configure Smart Router (KIE Server Router) for Transport Layer Security (TLS) support to allow HTTPS traffic. In addition, you can disable insecure HTTP connections to Smart Router. For more information, see the "Configuring Smart Router for TLS Support" section in Installing and configuring Red Hat Decision Manager in a Red Hat JBoss EAP clustered environment
3.6. Spring Boot 复制链接链接已复制到粘贴板!
Documentation about deploying Red Hat Decision Manager Spring Boot business applications on Red Hat OpenShift Container Platform is now provided. For more information see, Creating Red Hat Decision Manager business applications with Spring Boot.
3.6.2. Integration with Spring Boot version 2.3.4 复制链接链接已复制到粘贴板!
Red Hat Decision Manager now integrates with Spring Boot version 2.3.4.
For more information about integrating Red Hat Decision Manager with Spring Boot, see Creating Red Hat Decision Manager business applications with Spring Boot.
It is now possible that the the BatchExecutionHelperProviderImpl.newXStreamMarshaller() method creates a secure XStream instance. The XStream instance accepts only pre-defined KIE classes in payloads by default. If you use the XStream instance created by the method, you must add allowed classes. For example, add domain model classes in your application code or you receive the ForbiddenClassException exception.
Example code to add allowed classes
final BatchExecutionHelperProviderImpl batchExecutionHelperProvider = new BatchExecutionHelperProviderImpl();
XStream xstream = batchExecutionHelperProvider.newXStreamMarshaller();
String[] allowList = new String[]{
"org.example.model.Person",
"org.example.model.Company"
};
xstream.addPermission( new WildcardTypePermission( allowList ) );
Chapter 4. Support and compatibility 复制链接链接已复制到粘贴板!
This section highlights supported version updates in Red Hat Decision Manager 7.11.
4.1. Platforms transitioning to maintenance support 复制链接链接已复制到粘贴板!
Support for Red Hat Decision Manager on IBM WebSphere Application Server, Oracle WebLogic Server, Red Hat JBoss Web Server, and Apache Tomcat is now in the maintenance phase. Red Hat will continue to support Red Hat Decision Manager on these platforms with the following limitations:
- Red Hat will not release new certifications or software functionality.
- Red Hat will release only qualified security patches that have a critical impact and mission-critical bug fix patches.
In the future, Red Hat might direct customers to migrate to new platforms and product components that are compatible with Red Hat’s hybrid cloud strategy.
Chapter 5. Deprecated components 复制链接链接已复制到粘贴板!
The components listed in this section have been deprecated.
5.1. OptaPlanner 7 复制链接链接已复制到粘贴板!
Both OptaPlanner 7 and OptaPlanner 8 are included with Red Hat Decision Manager 7.11, but OptaPlanner 7 is deprecated and might be removed in a future release. For information about migrating your OptaPlanner 7 projects to OptaPlanner 8, see Upgrading your Red Hat build of OptaPlanner projects to OptaPlanner 8.
5.2. OptaPlanner tooling components in Business Central 复制链接链接已复制到粘贴板!
The following OptaPlanner tooling in Business Central is part of OptaPlanner 7. It is deprecated and might be removed in a future release.
- Data modeler annotations
- Guided rule editor actions for OptaPlanner score modification
- Solver assets
5.3. Support for JDK 8 复制链接链接已复制到粘贴板!
Support for JDK 8 is deprecated from Red Hat Decision Manager and might be removed in a future release.
For a complete list of supported JDK configurations, see Red Hat Decision Manager 7 Supported Configurations.
5.4. Legacy kie-pmml dependency 复制链接链接已复制到粘贴板!
The legacy kie-pmml dependency was deprecated with Red Hat Decision Manager 7.10.0 and will be replaced in a future Red Hat Decision Manager release. For more information, see Designing a decision service using PMML models.
5.5. Support for OSGi framework integration 复制链接链接已复制到粘贴板!
Support for integration with the OSGi framework is deprecated in Red Hat Decision Manager. It does not receive any new enhancements or features and will be removed in a future release. The decision and process engine integration with the OSGi framework is currently incompatible in Fuse version 7.8. If you intend to use the OSGi framework, continue to use Red Hat Decision Manager version 7.9 with Fuse version 7.7 until Fuse version 7.9 is available and certified.
5.6. Support for the RuleUnit API 复制链接链接已复制到粘贴板!
The Red Hat Decision Manager RuleUnit API is now deprecated due to incompatibility with the Kogito RuleUnit API.
5.7. Legacy Test Scenarios tool 复制链接链接已复制到粘贴板!
The legacy Test Scenarios tool was deprecated in Red Hat Decision Manager version 7.3.0. It will be removed in a future Red Hat Decision Manager release. Use the new Test Scenarios designer instead.
From Red Hat Decision Manager version 7.5, images and templates for Red Hat OpenShift Container Platform 3.x are deprecated. The deprecated images and templates are not supported with new features but remain available until the end of Red Hat OpenShift Container Platform version 3.x support. For more information about the full support lifecycle phase for Red Hat OpenShift Container Platform version 3.x, see Red Hat OpenShift Container Platform Life Cycle Policy (non-current versions).
Consider deploying Red Hat Decision Manager using the operator on Red Hat OpenShift Container Platform 4.x.
Chapter 6. Technology preview 复制链接链接已复制到粘贴板!
This section lists features that are in Technology Preview in Red Hat Decision Manager 7.11. Business Central includes an experimental features administration page that is disabled by default. To enable this page, set the value of the appformer.experimental.features property to true.
These features are for Technology Preview only. Technology Preview features are not supported with Red Hat production service level agreements (SLAs), might not be functionally complete, and Red Hat does not recommend using them for production. These features provide early access to upcoming product features, enabling customers to test functionality and provide feedback during the development process.
For more information on Red Hat Technology Preview features, see Technology Preview Features Scope.
You can deploy a high-availability Red Hat Decision Manager authoring environment on Red Hat OpenShift Container Platform 4.x using the operator.
6.2. OpenShift operator installer wizard 复制链接链接已复制到粘贴板!
An installer wizard is provided in the OpenShift operator for Red Hat Decision Manager. You can use the wizard to deploy a Red Hat Decision Manager environment on Red Hat OpenShift Container Platform with the operator.
6.3. Authoring perspective customization 复制链接链接已复制到粘贴板!
You can perform the following tasks to customize the Business Central authoring perspective:
- Open a Business Central project directly using an URL path parameter, without going through a list of spaces and projects.
- Hide or show the project toolbar, Metrics tab, and Change Request tab according to your requirements.
- Enhance the pagination.
- Customize the number of assets present on the project screen.
This section lists known issues with Red Hat Decision Manager 7.11.
7.1. Business Central 复制链接链接已复制到粘贴板!
The Business Central web application continues to poll in an open browser after the server has stopped [RHPAM-3635]
Issue: When you keep the Business Central web application open in a browser window, after the KIE Server has stopped, it keeps on polling the endpoint of the previously running KIE Server.
Workaround: None.
In standalone editors, the setContent method implementation must receive path and content [RHPAM-3629]
Issue: In standalone editors, the setContent implementation must implement the setContent method defined in EditorAPI along with path and content parameters instead of content only.
Workaround: None.
When an executing model uses an imported inputs and decision nodes, you receive an error message [RHDM-1733]
Issue: The test scenario tool is unable to execute any models that use imported inputs and decisions nodes. The automatically generated decision table columns reflects the incorrect values.
Workaround: None.
Method calls do not support template keys [RHDM-1729]
Issue: If you remove one of the action calls from the Business Rule Language (BRL) action column, the generated DRL file is updated incorrectly.
Steps to reproduce:
- Import the Mortgages sample project.
- Replace the original content of LoanApplication with the [LoanApplication.java].
-
Replace the original content of Pricing Loans with the
Pricing loans (1).gdstfile. (This file is attached in the [RHDM-1729] issue). -
Validate
Pricing loans (1).gdstfile. - Go to the Columns tab and select Action columns.
- For the call functions option, click Edit.
- Remove Call [application.addExplanation] and Call [application.deadline] and click Finish.
Workaround: None.
The Business Rule Language (BRL) columns do not support the conversion of method call data types [RHDM-1696]
Issue: When a guided decision table is converted into an XLS decision table, the method calls with String or Date data type arguments are not converted correctly.
Steps to reproduce:
- Import the Mortgages sample project.
- Replace the original content of LoanApplication with the [LoanApplication.java].
-
Replace the original content of Pricing Loans with the
Pricing loans (1).gdstfile. (This file is attached in the [RHDM-1696] issue). - Convert the Pricing Loans into an XLS table.
Open the converted XLS table and switch to the Source tab.
The
addExplanationmethod assumesexpis a variable instead of constant. Thedeadlinemethod assumes08-Mar-2021is a date, but it is a string. Some wrapper modules are needed for convertingStringintoDate.
Expected result: Validation of the XLS table succeeds.
Actual result: Validation of the XLS table fails.
Workaround: None.
The guided decision table sorting functionality does not work in the decision table graph [RHDM-1664]
Issue: The guided decision table sorting functionality does not work in the decision table graph. The merged view of the table is not sorted correctly.
Steps to reproduce:
- Import the Mortgages sample project.
-
Import the
second small table.gdsfile attached in the [RHDM-1664] issue. -
Create a decision table graph that contains the Pricing Loans column with the
second small table.gdsfile. - Try to sort the second small table.
Expected result: The guided decision table sorting functionality works correctly in the decision table graph.
Actual result: The guided decision table sorting functionality does not work correctly.
Workaround: None.
The guided decision table merged view throws an error [RHDM-1663]
Issue: The merged view of the guided decision table is not sorted properly. You receive an unexpected system error.
Workaround: None.
In the guided decision table, sorting functionality does not work for LocalDate attribute [RHDM-1662]
Issue: In the guided decision table, sorting functionality does not work for LocalDate attribute.
Workaround: None.
7.2. DMN designer 复制链接链接已复制到粘贴板!
Unable to create a new .scesim file in a VSCode instance when a workspace contains multiple folders [RHPAM-3621]
Issue: When there are multiple folders within one workspace, the scenario simulation editor fails when creating a new scenario for a specific DMN model.
Steps to reproduce:
- Create a VSCode workspace with a single folder in it.
- Create a valid DMN file.
-
Create a
.scesimfile for the newly created DMN file. - Add a new folder in a VSCode workspace.
-
Create a different
.scesimfile for the same DMN file.
Workaround: Keep a single folder inside your workspace. If you want to work on multiple projects, open the projects in separate VSCode instances.
A decision service is missing the encapsulatedDecisions element for transitive dependencies in a model with multiple decision requirements diagrams [RHDM-1732]
Issue: When a model contains multiple decision requirements diagrams (DRD) and tries to reuse a decision component by adding it into a decision service node, the resulting decision service node does not contain any encapsulatedDecisions definitions for its transitive dependencies.
Steps to reproduce:
- Define multiple DRDs.
- In one DRD, define some decisions with transitive dependency on a decision.
- In another DRD, define decision services and reuse the previously created decision component. Do not duplicate the transitive dependency.
- Build and deploy your project.
Complete any of the following tasks:
- Evaluate the decision to verify the error reported in the description.
-
Check the
dmnsource code and determine whether or not theinputDataattribute from the decision service is missing. - Check the decision service details in the Properties panel.
Workaround: The transitive decisions must be part of the encapsulatedDecisions section of the modeled decision service.
DMN editor removes the edges for duplicate decision nodes on canvas [RHDM-1714]
Issue: An issue occurs with the edges, when you duplicate a decision component in a canvas. The edges that are originally modeled are either shifted or removed.
Steps to reproduce:
- Create two decision nodes, A and B, and link them.
- Drag the decision node A from the Decision Components panel on canvas.
- Create an input node and link it to the duplicated decision node A.
- Click Save.
Reopen the project.
The link from the input node is now connected to the original decision node A, while the duplicated decision node has no links at all.
Workaround: Keep a single occurrence of the decision component for each DRD.
In the DMN editor, the suggestion box does not parse the function arguments [RHDM-1661]
Issue: The the DMN editor does not parse any helpful suggestions when you are writing literal expressions.
Steps to reproduce:
- Open a DMN editor.
- Add a decision node.
- Set the expression as Literal expression.
-
Enter the
date(2011 | , , )expression and check the suggestion box.
Expected result: The DMN editor provides helpful suggestions when you are writing literal expressions.
Actual result: The DMN editor does not parse any helpful suggestions when you are writing literal expressions.
Workaround: None.
In the DMN editor, the suggestion box parses the results of an addition expression as a list instead of a number [RHDM-1660]
Issue: When you parse an addition expression to a literal expression, the DMN editor suggests functions that return list instead of a number.
Steps to reproduce:
- Open a DMN editor.
- Add a decision node.
- Set the expression as Literal expression.
-
Enter the
sum([1]) + sum([2])expression and check the suggestion box.
Expected result: The DMN editor suggests correct functions for an addition expression.
Actual result: The DMN editor suggests functions that return list instead of a number.
Workaround: None.
In the DMN editor, the suggestion box fails to recognize variables [RHDM-1658]
Issue: When you parse the number type to a literal expressions, the DMN editor fails to recognize variables.
Steps to reproduce:
- Open a DMN editor.
- Add a decision node.
- Set the expression as Literal expression.
-
Enter the
numeric variable +expression and check the suggestion box.
Expected result: The DMN editor recognizes variables when you parse the number type to a literal expressions.
Actual result: The DMN editor fails to recognize variables.
Workaround: None.
In the DMN editor, the suggestion box fails to recognize the duration expression [RHDM-1656]
Issue: When you try to parse the duration expression, the DMN editor suggests string functions instead of duration functions.
Steps to reproduce:
- Open a DMN editor.
- Add a decision node.
- Set the expression as a Literal expression.
-
Enter the
date( "2012-12-25" ) - date( "2012-12-24" )expression and check the suggestion box.
Expected result: The DMN editor recognizes the duration expression.
Actual result: The DMN editor fails to recognize the duration expression and suggests string functions.
Workaround: None.
In the DMN editor, the suggestion box fails to recognize date expressions [RHDM-1654]
Issue: When you try to parse a date expression, the DMN editor suggests string functions instead of date functions.
Steps to reproduce:
- Open a DMN editor.
- Add a decision node.
- Set the expression as Literal expression.
-
Enter the
date(date and time( "2012-12-25T11:00:00Z" ))expression and check the suggestion box.
Expected result: The DMN editor recognizes the date expressions.
Actual result: The DMN editor fails to recognize the date expression and suggests string functions instead of date functions.
Workaround: None.
In the DMN editor, the suggestion box fails to recognize a negated boolean expression [RHDM-1652]
Issue: When you try to parse a negated boolean expression, the DMN editor offers different suggestions which are not related to the expression.
Steps to reproduce:
- Open a DMN editor.
- Add a decision node.
- Set the expression as Literal expression.
-
Enter a
falseornot falseexpression and check the suggestion box.
Expected result: The DMN editor offers related suggestions when you parse a negated boolean expression.
Actual result: The DMN editor fails to provide related suggestions when you parse a negated boolean expression.
Workaround: None.
7.3. Red Hat build of Kogito 复制链接链接已复制到粘贴板!
From given asset, wrong archetype is used to generate project [RHPAM-3654]
Issue: When you upload an asset as a source for KogitoBuild, the Red Hat build of Kogito S2I image generates the project using kogito-quarkus-archetype:1.5.1-SNAPSHOT. It is expected to use the kogito-quarkus-dm-archetype:1.5.0.redhat-00001.
Steps to reproduce:
- Install the RHPAM Kogito Operator.
Create a
KogitoBuildas follows:apiVersion: rhpam.kiegroup.org/v1 kind: KogitoBuild metadata: name: example-quarkus-local spec: buildImage: >- registry-proxy.engineering.redhat.com/rh-osbs/rhpam-7-rhpam-kogito-builder-rhel8:7.11.0-1 runtimeImage: >- registry-proxy.engineering.redhat.com/rh-osbs/rhpam-7-rhpam-kogito-runtime-jvm-rhel8:7.11.0-3 type: LocalSourceUpload an asset to the Red Hat OpenShift Container Platform using Red Hat OpenShift Container client as follows:
oc start-build example-quarkus-local-builder --from-file=https://github.com/kiegroup/kogito-examples/blob/stable/dmn-quarkus-example/src/main/resources/Traffic%20Violation.dmn- Check the builder log file.
Expected result: When you upload an asset for KogitoBuild, the Red Hat build of Kogito S2I image generates the project using kogito-quarkus-dm-archetype:1.5.0.redhat-00001.
Actual result: When you upload an asset for KogitoBuild, the Red Hat build of Kogito S2I image generates the project using kogito-quarkus-archetype:1.5.1-SNAPSHOT.
Workaround: None.
Red Hat Decision Manager 7.11.0 provides increased stability and fixed issues listed in this section.
8.1. Business Central 复制链接链接已复制到粘贴板!
- When you apply a constraint to a DMN data type, you receive an error in the scenario simulation [RHDM-1435]
- The guided decision tables do not open when you migrate from Red Hat JBoss BPM Suite 6.4 to Red Hat Decision Manager 7.7 [RHPAM-3217]
- When you build a project, an alert or error panel must be visible only to the current user [RHPAM-3442]
-
The large number of open files are present in Business Central because some file descriptors are not properly closed, and you receive the
java.io.IOExceptionexception [RHPAM-3309] -
When you use the
containsoperator along with a string literal contains a space, the guided decision table editor generates an incorrect DRL file, and you receive an evaluation error message [RHPAM-3305] -
When you use the
Convert to XLSfunctionality, it generates incorrect results [RHPAM-3183] - When you start Red Hat JBoss EAP with JDK 11, Business Central deployment fails with errors [RHPAM-2994]
- When you build a project, the generated errors are visible to all the users [RHPAM-2647]
8.2. KIE Server 复制链接链接已复制到粘贴板!
-
If the rules are fired using the default KieSession, the
PrometheusMetricsDroolsListenerfails to enable [RHDM-1601] -
When you build
dmn-drools-quarkus-metricsordmn-drools-springboot-metricsprojects, the build fails and you receive an error with unavailability of containers used for testing [RHPAM-3690]
8.3. DMN designer 复制链接链接已复制到粘贴板!
8.4. OptaPlanner 复制链接链接已复制到粘贴板!
-
In the Constraint Streams API, the performance of incremental score calculations is degraded when you use the
groupBy()method [RHDM-1385]
8.5. Decision engine 复制链接链接已复制到粘贴板!
-
When an
accumulatefunction returns anullvalue, you receive inconsistent results [RHDM-1643] -
In an executable model, an
inttoshortcasting fails withfunctionCallmethod [RHDM-1644] - In MVEL dialect mode, when you update a fact with a method that is not associated with a property, it fails to disable the property reactivity [RHDM-1639]
-
In an executable model, complex constraint containing
BigDecimalvalues with%operation fails with jitting warning messages [RHDM-1636] -
In an executable model, complex constraint containing
BigDecimalvalues with%operation display incorrect results [RHDM-1635] -
In MVEL dialect mode, when you call a
fireAllRulesfunction simultaneously from multiple threads in a plain DRL file, you receive a MVEL syntax error [RHDM-1629] - In an executable model, when you build and execute a rule which contains a statement ending with a new line character and not a semi-colon in an action part, you receive a compilation error [RHDM-1622]
-
When you use expressions consisting of the
BigDecimaltype values of arithmetic operations in an executable model, written in MVEL dialect mode, you receive compilation errors [RHDM-1621] - In an executable model, when you use a statement that consists of parenthesized expressions written in the MVEL dialect mode, you receive a compilation error [RHDM-1620]
-
When you call a function in an expression, you receive
inttoshortcasting issue [RHDM-1598] -
You receive a
NullPointerExceptionwhen you update a container [RHDM-1591]
8.6. Red Hat OpenShift Container Platform 复制链接链接已复制到粘贴板!
-
The S2I build fails with an
java.lang.ClassNotFoundException: org.apache.maven.model.io.xpp3.MavenXpp3WriterExerror [RHPAM-3517] - When you execute Red Hat Decision Manager images, the start-up logs displays the /opt/eap/bin/launch/messaging.sh : No such file or directory messages [RHPAM-3506]
Red Hat Decision Manager 7.11.1 provides increased stability and fixed issues listed in this section.
9.1. Business Central 复制链接链接已复制到粘贴板!
- Business Central stops indexing without logging any exception [RHPAM-3600]
When the following configuration settings are applied, space creation using Business Central REST API fails [RHPAM-3739]
<property name="org.appformer.concurrent.managed.thread.limit" value="9"/> <property name="org.appformer.concurrent.unmanaged.thread.limit" value="9"/> <property name="org.appformer.concurrent.indexing.thread.limit" value="9"/> <property name="org.appformer.concurrent.fs.watch.thread.limit" value="9"/>- In Business Central, the opening of assets takes a long time with large commit history, which results in slow performance in projects [RHPAM-3557]
- Data Object editor removes imports when saving [RHPAM-3544]
- In the guided decision rules, the options fail to display [RHPAM-2829]
- When a field name of a data object is in uppercase, then after deploying the project, a part of the field name is changed automatically to lowercase [RHDM-1725]
-
When you convert a guided decision table into XLS decision table, the BRL columns invoking method calls containing
StringandDatearguments are converted incorrectly [RHDM-1696] - In guided rule editor, the formula content is reloaded incorrectly [RHDM-1600]
9.2. KIE Server 复制链接链接已复制到粘贴板!
- Narayana starter version mismatches when you upgrade Spring Boot to version 2.4.3 [RHPAM-3749]
-
The
DroolsKieSessionLookupHandlerparameter repeatedly adds thePrometheusMetricsDroolsListenerinstance to the sameksessioninstance [RHPAM-3737]
9.3. DMN designer 复制链接链接已复制到粘贴板!
9.4. Red Hat build of Kogito 复制链接链接已复制到粘贴板!
- From given asset, an incorrect archetype is used to generate a project [RHPAM-3654]
9.5. Decision engine 复制链接链接已复制到粘贴板!
-
When you set a
BigDecimalvariable to aStringtype value in an executable model, you receive a compilation error [RHDM-1730] -
When you add a rule descriptor to a
CompositePackageDescr, projects take several hours to build and fail to complete the compilation [RHDM-1738] - You receive a range index issue when the constraints are on the same value but are lexicographically different [RHDM-1722]
-
In an executable model, when you compare the
BigDecimaltype property with the results ofaccumulate maxfunction ofBigDecimalvariable, you receive a compilation error [RHDM-1716] -
When you set a
BigDecimalvariable to aStringliteral value in an executable model, you receive a compilation error [RHDM-1715] - In an executable model, when a rule contains a null assignment to a property in the MVEL dialect mode, you receive a model generation error [RHDM-1713]
-
In an executable model, when a
BigDecimalvariable is passed asinttype argument to a function, you receive a compilation error [RHDM-1712] -
In an executable model, when a rule contains the enhanced
for(foreach) statement for the property of the fact in the MVEL dialect mode, you receive a compilation error [RHDM-1709] -
The
updateToVersionparameter unexpectedly overwrites theObjectTypeNode.expirationOffsetobject of super type [RHDM-1708] -
In an executable model, when you use arithmetic operations with a
BigDecimalvariable, you receive a compilation error [RHDM-1706]
Appendix A. Versioning information 复制链接链接已复制到粘贴板!
Documentation last updated on Monday, July 26, 2021.
Appendix B. Contact information 复制链接链接已复制到粘贴板!
Red Hat Decision Manager documentation team: brms-docs@redhat.com